Jump to content
From ArchWiki

Hardware probe is a tool to check operability of hardware devices, collect system logs and contribute to the hardware database and user statistics.

## Installation

Install the hw-probeAUR package.

## Usage

Make a probe:

    # hw-probe -all -upload

Decode ACPI tables (requires acpica package):

    # hw-probe -all -upload -decode-acpi

Perform simple graphics, HDD, CPU and memory tests (requires mesa-utils package):

    # hw-probe -all -upload -check

## See also

- lspci, and other hardware detection related tools

Category:

- Hardware detection and troubleshooting